#!/usr/bin/env python

from albatross import ModularSessionApp, SessionAppContext
#from albatross import ModularSessionFileApp, SessionFileAppContext
from albatross.cgiapp import Request


class AppContext(SessionAppContext):
    def __init__(self, app):
        SessionAppContext.__init__(self, app)


class App(ModularSessionApp):
    def __init__(self):
        ModularSessionApp.__init__(self,
            base_url = 'dispatch.py',
            module_path = '.',
            template_path = '.',
            start_page = 'Page1',
            secret = 'finch',
            session_appid = 'app3')
            #session_dir= '/w2/Python/albatross-0.06/session-server/SessionData')
    def create_context(self):
        return AppContext(self)


if __name__ == '__main__':
    app = App()
    app.run(Request())


